# eric6.WebBrowser.Feeds.FeedsManager

Module implementing a RSS feeds manager dialog.

### Global Attributes

None

### Classes

FeedsManager | Class implementing a RSS feeds manager dialog.

### Functions

None

## FeedsManager

Class implementing a RSS feeds manager dialog.

### Signals

newBackgroundTab(QUrl, str)
  emitted to open a URL in a new background tab
newPrivateWindow(QUrl, str)
  emitted to open a URL in a new private window
newTab(QUrl, str)
  emitted to open a URL in a new tab
newWindow(QUrl, str)
  emitted to open a URL in a new window
openUrl(QUrl, str)
  emitted to open a URL in the current tab

### Derived from

QDialog, Ui_FeedsManager

### Class Attributes

ErrorDataRole
UrlStringRole

### Class Methods

None

### Methods

FeedsManager | Constructor
__addFeedItem | Private slot to add a top level feed item.
__copyUrlToClipboard | Private slot to copy the URL of the selected item to the clipboard.
__customContextMenuRequested | Private slot to handle the context menu request for the feeds tree.
__enableButtons | Private slot to disable/enable various buttons.
__feedLoaded | Private slot to extract the loaded feed data.
__itemActivated | Private slot to handle the activation of an item.
__load | Private method to load the feeds data.
__openMessage | Private method to open a feed message.
__openMessageInCurrentTab | Private slot to open a feed message in the current browser tab.
__openMessageInNewBackgroundTab | Private slot to open a feed message in a new background tab.
__openMessageInNewTab | Private slot to open a feed message in a new browser tab.
__openMessageInNewWindow | Private slot to open a feed message in a new browser window.
__openMessageInPrivateWindow | Private slot to open a feed message in a new private browser window.
__reloadFeed | Private method to reload the given feed.
__save | Private method to store the feeds data.
__showError | Private slot to show error info for a failed load operation.
addFeed | Public method to add a feed.
on_deleteButton_clicked | Private slot to delete the selected feed.
on_editButton_clicked | Private slot to edit the selected feed.
on_feedsTree_itemSelectionChanged | Private slot to enable the various buttons depending on the selection.
on_reloadAllButton_clicked | Private slot to reload all feeds.
on_reloadButton_clicked | Private slot to reload the selected feed.
show | Public slot to show the feeds manager dialog.

### Static Methods

None

#### FeedsManager (Constructor)

FeedsManager(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### FeedsManager.__addFeedItem

__addFeedItem(feed)

Private slot to add a top level feed item.

feed
  tuple containing feed info (URL, title, icon) (string, string, QIcon)

#### FeedsManager.__copyUrlToClipboard

__copyUrlToClipboard()

Private slot to copy the URL of the selected item to the clipboard.

#### FeedsManager.__customContextMenuRequested

__customContextMenuRequested(pos)

Private slot to handle the context menu request for the feeds tree.

pos
  position the context menu was requested (QPoint)

#### FeedsManager.__enableButtons

__enableButtons()

Private slot to disable/enable various buttons.

#### FeedsManager.__feedLoaded

__feedLoaded()

Private slot to extract the loaded feed data.

#### FeedsManager.__itemActivated

__itemActivated(itm, column)

Private slot to handle the activation of an item.

itm
  reference to the activated item (QTreeWidgetItem)
column
  column of the activation (integer)

#### FeedsManager.__load

__load()

Private method to load the feeds data.

#### FeedsManager.__openMessage

__openMessage(newTab=False, background=False, newWindow=False, privateWindow=False)

Private method to open a feed message.

newTab (bool)
  flag indicating to open the feed message in a new tab
background (bool)
  flag indicating to open the bookmark in a new background tab
newWindow (bool)
  flag indicating to open the bookmark in a new window
privateWindow (bool)
  flag indicating to open the bookmark in a new private window

#### FeedsManager.__openMessageInCurrentTab

__openMessageInCurrentTab()

Private slot to open a feed message in the current browser tab.

#### FeedsManager.__openMessageInNewBackgroundTab

__openMessageInNewBackgroundTab()

Private slot to open a feed message in a new background tab.

#### FeedsManager.__openMessageInNewTab

__openMessageInNewTab()

Private slot to open a feed message in a new browser tab.

#### FeedsManager.__openMessageInNewWindow

__openMessageInNewWindow()

Private slot to open a feed message in a new browser window.

#### FeedsManager.__openMessageInPrivateWindow

__openMessageInPrivateWindow()

Private slot to open a feed message in a new private browser window.

#### FeedsManager.__reloadFeed

__reloadFeed(itm)

Private method to reload the given feed.

itm
  feed item to be reloaded (QTreeWidgetItem)

#### FeedsManager.__save

__save()

Private method to store the feeds data.

#### FeedsManager.__showError

__showError()

Private slot to show error info for a failed load operation.

#### FeedsManager.addFeed

addFeed(urlString, title, icon)

Public method to add a feed.

urlString
  URL of the feed (string)
title
  title of the feed (string)
icon
  icon for the feed (QIcon)

Returns:
  flag indicating a successful addition of the feed (boolean)

#### FeedsManager.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected feed.

#### FeedsManager.on_editButton_clicked

on_editButton_clicked()

Private slot to edit the selected feed.

#### FeedsManager.on_feedsTree_itemSelectionChanged

on_feedsTree_itemSelectionChanged()

Private slot to enable the various buttons depending on the selection.

#### FeedsManager.on_reloadAllButton_clicked

on_reloadAllButton_clicked()

Private slot to reload all feeds.

#### FeedsManager.on_reloadButton_clicked

on_reloadButton_clicked()

Private slot to reload the selected feed.

#### FeedsManager.show

show()

Public slot to show the feeds manager dialog.

Up